Отказ в обслуживании в Ruby

Дата публикации:
11.06.2009
Дата изменения:
11.06.2009
Всего просмотров:
1045
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ruby 1.8.x
Уязвимые версии: Ruby версии до 1.8.6-p369 и 1.8.7-p173

Описание:
Уязвимость позволяет удаленному пользователю произвести DoS атаку.

Уязвимость существует из-за ошибки в стандартной библиотеке BigDecimal при конвертации BigDecimal объектов в числа с плавающей запятой. Удаленный пользователь может аварийно завершить работу приложения, использующего уязвимую библиотеку.

URL производителя: www.ruby-lang.org/en/

Решение: Установите последнюю версию с сайта производителя.

Ссылки: http://www.ruby-lang.org/en/news/2009/06/09/dos-vulnerability-in-bigdecimal/
http://redmine.ruby-lang.org/issues/show/794

или введите имя

CAPTCHA